Websites - Update Waf Policy Settings
Update web application firewall policy settings on a Power Pages website.
Updates policy-level web application firewall settings (enforcement mode and JavaScript/CAPTCHA challenge cookie lifetimes) on the given website. Only the fields provided in the request body are applied; omitted fields are left unchanged.
PUT https://api.powerplatform.com/powerpages/environments/{environmentId}/websites/{id}/updateWafPolicySettings?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string |
The environment ID. |
|
id
|
path | True |
string |
Website unique identifier (ID). |
|
api-version
|
query | True |
string |
The API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| captchaExpirationInMinutes |
integer (int32) |
CAPTCHA challenge cookie validity lifetime in minutes. The accepted range is validated by Azure Front Door. |
| javascriptChallengeExpirationInMinutes |
integer (int32) |
JavaScript challenge cookie validity lifetime in minutes. The accepted range is validated by Azure Front Door. |
| mode |
enum:
|
Web application firewall enforcement mode. Prevention blocks matching requests; Detection only logs them. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
| Details | |
| Error | |
|
Error |
|
|
Web |
Policy-level web application firewall settings. All properties are optional; only the properties provided are applied, and any omitted property is left unchanged. |
Details
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| message |
string |
Error message |
| target |
string |
Target parameter |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| details |
Details[] |
|
| message |
string |
Error message |
| target |
string |
Target parameter |
ErrorMessage
| Name | Type | Description |
|---|---|---|
| error |
WebApplicationFirewallPolicySettings
Policy-level web application firewall settings. All properties are optional; only the properties provided are applied, and any omitted property is left unchanged.
| Name | Type | Description |
|---|---|---|
| captchaExpirationInMinutes |
integer (int32) |
CAPTCHA challenge cookie validity lifetime in minutes. The accepted range is validated by Azure Front Door. |
| javascriptChallengeExpirationInMinutes |
integer (int32) |
JavaScript challenge cookie validity lifetime in minutes. The accepted range is validated by Azure Front Door. |
| mode |
enum:
|
Web application firewall enforcement mode. Prevention blocks matching requests; Detection only logs them. |